package com.yuandian.dataflow.utils;

public class Utils {


     /**
     * 找到第n个substr索引点的字符串索引 
     * @param str 原始字符串
     * @param substr 需要定位的字符串
     * @param n 第几个
     * @return
     */
    public static int indexOf(String str, String substr, int n) {
        int pos = str.indexOf(substr);
        while (--n > 0 && pos != -1) {
            pos = str.indexOf(substr, pos + 1);
        }
        return pos;
    }


    /**
     * 尽可能的找到n个substr索引点的字符串索引. 如果超出就拿最大值.
     * @param str 原始字符串
     * @param substr 需要定位的字符串
     * @param n 第几个
     * @return
     */
    public static int indexOfAsPossible(String str, String substr, int n) {
        int pos = str.indexOf(substr);
        while (--n > 0 && pos != -1) {
            pos = str.indexOf(substr, pos + 1);
        }
        if(pos == -1) {
            return str.length();
        }
        return pos;
    }
 
 
}
